LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XDevice Interface Referencepublished

provides information about a graphical output device and offers a factory for the graphics which provides write operations on the device. More...

`import"XDevice.idl";`

Inheritance diagram for XDevice:

## Public Member Functions
XGraphics | createGraphics ()
| creates a new graphics whose output operation is directed to this device. More...
XDevice | createDevice ([in] long nWidth, [in] long nHeight)
| creates a new device which is compatible with this one. More...
com::sun::star::awt::DeviceInfo | getInfo ()
| returns information about the device. More...
sequence< FontDescriptor > | getFontDescriptors ()
| returns the list of available font descriptors. More...
com::sun::star::awt::XFont | getFont ([in] FontDescriptor aDescriptor)
| returns information about a font offered by this device. More...
XBitmap | createBitmap ([in] long nX, [in] long nY, [in] long nWidth, [in] long nHeight)
| creates a bitmap with the current device depth. More...
XDisplayBitmap | createDisplayBitmap ([in] XBitmap Bitmap)
| creates a device compatible bitmap. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides information about a graphical output device and offers a factory for the graphics which provides write operations on the device.

## Member Function Documentation

## ◆ createBitmap()

XBitmap createBitmap | ( | [in] long | nX,
|  | [in] long | nY,
|  | [in] long | nWidth,
|  | [in] long | nHeight
| ) |  |

creates a bitmap with the current device depth.

If the specified area does not lie entirely in the device, the bits outside are not specified.

## ◆ createDevice()

XDevice createDevice | ( | [in] long | nWidth,
|  | [in] long | nHeight
| ) |  |

creates a new device which is compatible with this one.

If the device does not support the GETBITS device capability, this method returns `NULL`.

## ◆ createDisplayBitmap()

XDisplayBitmap createDisplayBitmap | ( | [in] XBitmap | Bitmap | ) |

creates a device compatible bitmap.

The data of the bitmap is in process memory instead of in the device, so that the output operation is fast.

## ◆ createGraphics()

XGraphics createGraphics | ( |  | ) |

creates a new graphics whose output operation is directed to this device.

## ◆ getFont()

com::sun::star::awt::XFont getFont | ( | [in] FontDescriptor | aDescriptor | ) |

returns information about a font offered by this device.

Returns
  the font of this device.

Parameters

  aDescriptor | specifies the description of a font. The unit of measure is pixel for this device.

## ◆ getFontDescriptors()

sequence< FontDescriptor > getFontDescriptors | ( |  | ) |

returns the list of available font descriptors.

## ◆ getInfo()

com::sun::star::awt::DeviceInfo getInfo | ( |  | ) |

returns information about the device.

The documentation for this interface was generated from the following file:

- com/sun/star/awt/XDevice.idl